@import url(reset.css);

html,
body {
  font-size: 16px;
  font-family: "Roboto", sans-serif;
  font-weight: 400;
  font-style: normal;
  background-color: #4a1507;
}
.container {
  width: 70%;
  margin: 0 auto;
}

.header__logo {
  display: flex;
  align-items: center;
  gap: 1rem;
  padding: 1rem 0;
}

.header__title {
  font-family: "Inspiration", cursive;
  font-size: 3rem;
  font-weight: 500;
  color: #fff;
}

.nav {
  background-color: #440b02;
  padding: 1rem 0;
  margin-bottom: 1rem;
  border-radius: 0.5rem;
  transition: all 0.5s;
}

.nav__list {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}
.nav__item {
  padding: 1rem 2rem;
}
.nav__link {
  text-decoration: none;
  color: #fff;
  font-weight: bold;
}

.nav__link:hover {
  color: #d03001;
}

.nav__link__hover {
  color: #d03001;
}

.nav__item:not(:last-child) {
  border-right: 1px solid rgb(105, 91, 11);
}

.main {
  background-color: #78a999;
  /* min-height: 800px; */
}
.banner {
  width: 230px;
}

.main__presentation {
  display: flex;
  align-items: center;
  padding: 1rem 0.25rem 1rem 1rem;
  gap: 2rem;
}

.presentation__content {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-self: stretch;
}

.presentation__title {
  color: #fff;
  font-size: 2rem;
  font-weight: bold;
  padding-right: 1rem;
}

.presentation__text {
  color: #fff;
  font-weight: bold;
  text-align: justify;
  padding-right: 1rem;
}

.galery {
  display: flex;
}

.galery__nav {
  width: calc(230px + 2rem);
}

.galery__nav__list {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 1rem;
  padding-top: 2rem;
}

.galery__nav__item {
  width: 140px;
  padding: 0.5rem;
  border-bottom: 2px solid #fff;
}

.galery__nav__link {
  text-decoration: none;
  color: #fff;
  font-weight: bold;
}

.galery__nav__link:hover {
  color: #d03001;
}

.peinture {
  background-color: rgb(221, 217, 198);
  width: calc(100% - (230px + 2rem));
  padding: 1rem 2rem 3rem 2rem;
  overflow: hidden;
}

.peinture__title {
  font-size: 2rem;
  font-weight: bold;
  color: #4d6569;
}

.peinture__content {
  margin-top: 1rem;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
}

.peinture__picture {
  width: 100%;
  height: 100%;
  object-fit: cover;
  cursor: pointer;
}

.card {
  height: 250px;
  position: relative;
}

.card__legend {
  position: absolute;
  background-color: #000;
  padding: 0.5rem 0;
  width: 100%;
  left: 0;
  bottom: 0;
  text-align: center;
  color: #fff;
}

.footer {
  padding-top: 3rem;
}

.copyright {
  color: #fff;
  text-align: center;
  font-weight: bold;
  padding-bottom: 0.5rem;
}

.icone__burger {
  margin-top: 0;
  margin-right: 0;
  text-align: center;
  font-size: 2rem;
  border: 2px solid #fff;
  border-radius: 0.25rem;
  padding: 0.25rem;
  cursor: pointer;
  color: #fff;
  display: none;
}

.animationBounce {
  animation: bounce 1s forwards;
}

/* Création de la lightbox

.lightbox {
  width: 100%;
  height: 100%;
  padding: 1rem;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.4);
  backdrop-filter: blur(5px);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 1000;
  transition: all 0.5s ease-in-out;
}

.lightbox img {
  max-width: 80%;
  width: auto;
}

/* .lightbox {
  display: none;
  opacity: 0;
} */

/* .lightBox__active {
  display: block;
} */
/* .exit__cross {
  text-decoration: none;
  color: #fff;
  position: absolute;
  top: 20%;
  right: 20%;
} */

.lightbox {
  position: fixed;
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background: rgb(165, 165, 165, 0.8);
  user-select: none;
  pointer-events: none;
  z-index: 1;
  opacity: 0;
}

.icone__close,
.icone__previous,
.icone__next {
  position: fixed;
  font-size: 3rem;
  cursor: pointer;
  z-index: 2;
  opacity: 0;
}

.icone__close {
  top: 1rem;
  right: 1rem;
}

.icone__previous {
  left: 3rem;
  top: calc(50vh - 3rem / 2);
}

.icone__next {
  right: 3rem;
  top: calc(50vh - 3rem / 2);
}

.picture__lightbox {
  border: #fff solid 5px;
}

.animationFadeInScale {
  animation: fadeInScale forwards 0.5s ease-in-out;
}

.fadeIn {
  animation: fadeIn forwards 0.5s ease-in-out;
}

.fadeOut {
  animation: fadeOut forwards 0.5s ease-in-out;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes fadeOut {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

@keyframes fadeInScale {
  0% {
    opacity: 0;
    transform: scale(0.2);
  }
  100% {
    opacity: 1;
    transform: scale(1);
  }
}

@keyframes bounce {
  0% {
    transform: translateY(-1000px);
  }
  20% {
    transform: translateY(0);
  }
  40% {
    transform: translateY(60px);
  }
  60% {
    transform: translateY(0);
  }
  80% {
    transform: translateY(30px);
  }
  100% {
    transform: translateY(0);
  }
}

@media screen and (max-width: 1024px) {
  .container {
    width: 85%;
  }
  .peinture__content {
    grid-template-columns: repeat(2, 1fr);
  }
  .nav__item {
    padding: 1rem;
  }

  @media screen and (max-width: 768px) {
    .container {
      width: 95%;
    }
    .peinture__content {
      grid-template-columns: 1fr;
    }

    .nav {
      padding: 0;
      transition: all 0.5s;
    }

    .nav__list {
      flex-direction: column;
      align-items: flex-start;
      display: none;
      transition: all 0.5s;
    }

    .nav__list__toggle {
      display: inline-block;
      transition: all 0.5s;
    }

    .nav__item {
      border-right: 0 !important;
    }

    .banner {
      display: none;
    }
    .galery {
      flex-direction: column;
    }
    .galery__nav {
      width: 100%;
    }
    .galery__nav__list {
      align-items: flex-start;
      padding: 1rem;
      margin-bottom: 1rem;
    }
    .galery__nav__item {
      width: 100%;
    }

    .peinture {
      width: calc(100% - 4rem);
    }
    .icone__burger {
      display: inline-block;
    }
  }
}
